# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_PresentationRepresentation Class Reference

`#include <StepVisual_PresentationRepresentation.hxx>`

Inheritance diagram for StepVisual_PresentationRepresentation:

[legend]

## Public Member Functions

Standard_EXPORT | StepVisual_PresentationRepresentation ()
| Returns a PresentationRepresentation .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_PresentationRepresentation::StepVisual_PresentationRepresentation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepVisual_PresentationRepresentation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepRepr_Representation. Reimplemented in StepVisual_MechanicalDesignGeometricPresentationArea, StepVisual_MechanicalDesignGeometricPresentationRepresentation, StepVisual_PresentationArea, and StepVisual_PresentationView.

The documentation for this class was generated from the following file:

- StepVisual_PresentationRepresentation.hxx